package ru.ulstu.indicator.model;

import jakarta.persistence.Entity;
import jakarta.persistence.Lob;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import ru.ulstu.admin.model.IndicatorForm;
import ru.ulstu.model.BaseEntity;

@Entity
public class Indicator extends BaseEntity {

    @NotBlank
    private String name;

    @Min(0)
    @Max(30)
    private int max;

    @NotBlank
    @Lob
    private String proofDocuments;

    public Indicator() {
    }

    public Indicator(IndicatorForm indicatorForm) {
        this.name = indicatorForm.getName();
        this.max = indicatorForm.getMax();
        this.proofDocuments = indicatorForm.getProofDocuments();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getMax() {
        return max;
    }

    public void setMax(int max) {
        this.max = max;
    }

    public String getProofDocuments() {
        return proofDocuments;
    }

    public void setProofDocuments(String proofDocuments) {
        this.proofDocuments = proofDocuments;
    }
}
